%define name	ksubtile
%define version	1.2
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SRT subtitles editor
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-1.1-fr-translation.tar.bz2
#Patch0:		%{name}-%{version}-2-compiling.patch.bz2
Patch1:		%{name}-1.1-2-translation.patch.bz2
URL:		http://ksubtile.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel
Requires:	mplayer

%description
KSubtile is a GUI for KDE to create or edit SRT subtitles.
Preview can be done with mplayer.

%prep
%setup -q -a 1
#patch0 -p 0
%patch1 -p 0

%build
%configure --disable-rpath
#--disable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
	needs="X11" section="Multimedia/Video" title="KSubtile" \
	longtitle="KSubtile SRT editor" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=KSubtile
Comment=KSubtile SRT editor
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
MimeType=application/srt
StartupNotify=true
Categories=Qt;KDE;AudioVideo;Video;X-MandrivaLinux-Multimedia-Video;
EOF

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

#remove unneeded files
rm -rf $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor
#rm -rf $RPM_BUILD_ROOT/usr/src
#rm -rf $RPM_BUILD_ROOT/usr/lib/debug

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/%{name}*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/applnk/Editors/%{name}.desktop
%{_datadir}/mimelnk/application/srt.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_datadir}/doc/HTML/en/%{name}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Jun 29 2006 Guillaume Bedot <littletux@mandriva.org> 1.2-2mdv2007.0
- standard %%mkrel
- xdg menu

* Mon Nov 28 2005 Guillaume Bedot <littletux@mandriva.org> 1.2-1mdk
- New release

* Sun Oct 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-2mdk
- Fix BuildRequires

* Fri Oct 14 2005 Guillaume Bedot <littletux@mandriva.org> 1.1-1mdk
- First Mandriva package of ksubtile for contribs

